Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.utils
Interface Describable

All Known Subinterfaces:
  Concept, Database, DatabaseConnection, Document, DocumentBase, Identity, IndexableDocument, ParsableDocument, Pipeline, Query, Query, Repository, Results, SdxObject, SDXThesaurus, SearchLocations, TermHighlighter, Terms, Transformation

All Known Implementing Classes:
  AbstractConcept, AbstractDatabase, AbstractDatabaseBackedRepository, AbstractDataSourceComponentBackedRepository, AbstractDocument, AbstractDocumentBase, AbstractIdentity, AbstractIDGenerator, AbstractIndexableDocument, AbstractJDBCDatabase, AbstractNodeBasedTransformation, AbstractPipeline, AbstractQuery, AbstractRepository, AbstractRepositoryConnection, AbstractResponse, AbstractSdxObject, AbstractSdxXMLPipe, AbstractThesaurus, AbstractTransformation, AbstractXSLTTransformation, AnalyzerManager, AnonymousUserInformation, Application, BinaryDocument, ComplexQuery, DatabaseBacked, DataSourceComponentBacked, DateIntervalQuery, DefaultIDGenerator, DeleteResultsPipeline, DeleteResultsTransformation, ElementFilter, ElementFilter, ExactFieldQuery, Field, FieldExpansionTransformation, FieldList, FieldQuery, FrameworkImpl, FSRepository, FSRepositoryConnection, GenericPipeline, GetDocumentsPipeline, GetDocumentsTransformation, Group, GroupInformationInserter, HSQLDatabase, HSQLDB, HSQLRepository, HTMLDocument, IndexableFieldProperty, IndexParameters, JDBC, JDBCDatabase, JDBCDatabaseConnection, JDBCRepository, JDBCRepositoryConnection, LinearComplexQueryBuilder, LinearQuery, LoggingIndexation, LuceneConcept, LuceneData, LuceneDatabase, LuceneDataField, LuceneDataStore, LuceneDocumentBase, LuceneIndex, LuceneIndexParameters, LuceneQueryExpander, LuceneRepositoryConnection, LuceneTermHighlighter, LuceneThesaurus, MSSQLDatabase, MSSQLRepository, MYSQLDatabase, MYSQLRepository, NodeCounter, NodeCountTransformation, OAIDocument, ORACLEDatabase, ORACLERepository, POSTGRESQLDatabase, POSTGRESQLRepository, Property, RegexTerms, RestrictedQuery, ResultDocument, ResultDocuments, Results, SAXONXSLTTransformation, SDXDocumentBase, SearchLocations, SimpleIDGenerator, SimpleQuery, SortSpecification, SQLDatabaseConnection, SuperuserInformation, TagFilter, TagFilter, TermInfo, Terms, URLRepository, URLRepositoryConnection, User, UserDatabase, UserInformation, XMLDocument, XSLTTransformation

    public interface Describable

Nested Class Summary
`static interface` | `Describable.ConfigurationNode`

Method Summary
`org.apache.excalibur.source.Source` | `getDescription()`
`void` | `setDescription(org.apache.excalibur.source.Source description)`

Method Detail

### setDescription

    void setDescription(org.apache.excalibur.source.Source description)

### getDescription

    org.apache.excalibur.source.Source getDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.